#include<iostream.h>
#include<string.h>
 int main()
{
 char s[81],t[30],p[30];
 int i,k;
 cout<<"请输入字符串："<<endl;
 cin.getline(s,81);//输入字符串
 t[0]='\0';
 for(i=0,k=0;s[i]!='\0';i++)
  if(s[i]==' '||s[i]=='.'||s[i]==',')
 {
  p[k]='\0';
  if(strlen(p)>strlen(t))
   strcpy(t,p);                 
  k=0;
 }
 else 
 {
  p[k]=s[i];
  k++; 
 }
 cout<<"最长的单词是："<<t<<endl;
 return(0);
}
